=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        qml-plasmoid6
        qml-plasmoid6-with-qml-extension
        cpp-plasmoid6
        plasma6-wallpaper
        plasma6-wallpaper-with-qml-extension
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)
