=== debian/changelog ===
libplasma (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Use proper attached properties for Kirigami colorset.
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Update upstream source repo URL.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:39 +0200

libplasma (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:23 +0200
