=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libplasma
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libegl-dev,
                libkf6archive-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6dbusaddons-dev (>= 6.10.0~),
                libkf6globalaccel-dev (>= 6.10.0~),
@@ -26,9 +25,9 @@
                libkf6kio-dev (>= 6.10.0~),
                libkf6notifications-dev (>= 6.10.0~),
                libkf6package-dev (>= 6.10.0~),
-               libkf6parts-dev (>= 6.10.0~),
+               libkf6parts-dev (>= 6.2.0~),
                libkf6svg-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libopengl-dev,
@@ -51,8 +50,8 @@
                qt6-wayland-dev (>= 6.7.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/libplasma
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
 Rules-Requires-Root: no
 
 Package: libplasma-dev
@@ -114,9 +113,7 @@
          qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma5-desktoptheme (<< 6.1.0-2),
-        plasma-framework (<< 5.116.0-0ubuntu2~)
-Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
-          plasma-framework (<< 5.116.0-0ubuntu2~)
+Breaks: plasma-framework (<< 5.115.0-6~),
+Replaces: plasma-framework (<< 5.115.0-6~),
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.
