## libplasma 6.4.5

=== src/plasma/CMakeLists.txt ===
--- 
+++ 
@@ -62,8 +62,6 @@
         ${PLASMA_WAYLAND_PROTOCOLS_DIR}/contrast.xml
 )
 
-kconfig_add_kcfg_files(Plasma data/kconfigxt/libplasma-theme-global.kcfgc)
-
 ecm_qt_declare_logging_category(Plasma
     HEADER debug_p.h
     IDENTIFIER LOG_PLASMA
@@ -101,7 +99,6 @@
     KF6::ColorScheme
     KF6::ConfigQml
     KF6::Archive
-    KF6::GuiAddons #kimagecache
     KF6::I18n
     KF6::WindowSystem #compositingActive
     KF6::GlobalAccel #Applet::setGlobalShortcut
@@ -125,6 +122,8 @@
     INTERFACE
         "$<INSTALL_INTERFACE:${PLASMA_INSTALL_INCLUDEDIR}>"
 )
+
+ecm_generate_qdoc(Plasma plasma.qdocconf)
 
 ########### install files ###############
 ecm_generate_headers(Plasma_CamelCase_HEADERS
