=== src/plasmaquick/CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,6 @@
         KF6::KIOCore
         KF6::KIOWidgets
         KF6::Notifications
-        KF6::KCMUtilsQuick
         KF6::Svg
         KF6::GuiAddons
         KF6::I18nQml
@@ -172,6 +171,8 @@
     PREFIX PlasmaQuick
 )
 
+ecm_generate_qdoc(PlasmaQuick plasmaquick.qdocconf)
+
 install(
     FILES ${plasmaquick_LIB_INCLUDES}
     DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/plasmaquick
