=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.4.4~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
