## libplasma 6.4.5+p24.04+vstable+git20251004.0544

=== debian/changelog ===
libplasma (6.4.5+p24.04+vstable+git20251004.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:44:37 +0000
